JaxbManyToAnyElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbManyToAnyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbManyToAnyElement

    public class JaxbManyToAnyElement

extends Object

Java class for many-to-any-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="many-to-any-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta-value" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-value-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
           </sequence>
           <attribute name="id-type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="meta-type" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected JaxbColumnElement` | `column`
`protected String` | `idType`
`protected String` | `metaType`
`protected List<JaxbMetaValueElement>` | `metaValue`

Constructor Summary
`JaxbManyToAnyElement()`

Method Summary
`JaxbColumnElement` | `getColumn()` Gets the value of the column property.
`String` | `getIdType()` Gets the value of the idType property.
`String` | `getMetaType()` Gets the value of the metaType property.
`List<JaxbMetaValueElement>` | `getMetaValue()` Gets the value of the metaValue property.
`void` | `setColumn(JaxbColumnElement value)` Sets the value of the column property.
`void` | `setIdType(String value)` Sets the value of the idType property.
`void` | `setMetaType(String value)` Sets the value of the metaType property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metaValue

    protected List<JaxbMetaValueElement> metaValue

### column

    protected JaxbColumnElement column

### idType

    protected String idType

### metaType

    protected String metaType

Constructor Detail

### JaxbManyToAnyElement

    public JaxbManyToAnyElement()

Method Detail

### getMetaValue

    public List<JaxbMetaValueElement> getMetaValue()

  Gets the value of the metaValue property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the metaValue property.

  For example, to add a new item, do as follows:

          getMetaValue().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaValueElement`

### getColumn

    public JaxbColumnElement getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumnElement`

### setColumn

    public void setColumn(JaxbColumnElement value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumnElement`

### getIdType

    public String getIdType()

  Gets the value of the idType property.

  Returns:
    possible object is `String`

### setIdType

    public void setIdType(String value)

  Sets the value of the idType property.

  Parameters:
    `value` - allowed object is `String`

### getMetaType

    public String getMetaType()

  Gets the value of the metaType property.

  Returns:
    possible object is `String`

### setMetaType

    public void setMetaType(String value)

  Sets the value of the metaType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.